## golang-github-schollz-closestmatch 2.1.0

=== Makefile ===
.PHONY: test
test:
	go test -cover -run=.

=== debian/changelog ===
golang-github-schollz-closestmatch (2.1.0-4) unstable; urgency=medium

  * Team upload.
  * The new debhelper compat version below makes the nocheck build
    profile to work again. Closes: #1103311.
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.7.2, no changes needed.

 -- Santiago Vila <sanvila@debian.org>  Thu, 25 Sep 2025 18:50:00 +0200

golang-github-schollz-closestmatch (2.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + golang-github-schollz-closestmatch-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 18:57:25 +0000

golang-github-schollz-closestmatch (2.1.0-2) unstable; urgency=medium

  * d/control: bump standards

 -- Dawid Dziurla <dawidd0811@gmail.com>  Sun, 04 Aug 2019 12:20:06 +0200

golang-github-schollz-closestmatch (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #928255)

 -- Dawid Dziurla <dawidd0811@gmail.com>  Tue, 30 Apr 2019 19:19:05 +0200

=== debian/control ===
Source: golang-github-schollz-closestmatch
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dawid Dziurla <dawidd0811@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
Build-Depends-Indep:
 golang-any,
Standards-Version: 4.7.2
Homepage: https://github.com/schollz/closestmatch
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-schollz-closestmatch
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-schollz-closestmatch.git
XS-Go-Import-Path: github.com/schollz/closestmatch
Testsuite: autopkgtest-pkg-go

Package: golang-github-schollz-closestmatch-dev
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: Golang library for fuzzy matching within a set of strings
 Closestmatch is a simple and fast Go library for fuzzy matching an
 input string to a list of target strings. closestmatch is useful for
 handling input from a user where the input (which could be misspelled or
 out of order) needs to match a key in a database. closestmatch uses a
 bag-of-words approach (https://en.wikipedia.org/wiki/Bag-of-words_model)
 to precompute character n-grams to represent each possible target
 string. The closest matches have highest overlap between the sets of
 n-grams. The precomputation scales well and is much faster and more
 accurate than Levenshtein for long strings.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-schollz-closestmatch-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/schollz/closestmatch/tags .*/v?(\d\S*)\.tar\.gz
